Ext.data.JsonP.ByteShopJs_util_datetime_CountDownTimer({"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/countDownTimer.html#ByteShopJs-util-datetime-CountDownTimer' target='_blank'>countDownTimer.js</a></div></pre><div class='doc-contents'><p>CountDownTimer is a class that provides a dynamic count down display\nfrom a starting time to zero.</p>\n\n<p>Example of how to use:</p>\n\n<pre><code> var endDateInSecondsToGo = 20000;\n var displayElement = document.getElementById(\"myDisplayElement\");\n var displayFormat = 'MEDIUM';\n var myCounter = new <a href=\"#!/api/ByteShopJs.util.datetime.CountDownTimer\" rel=\"ByteShopJs.util.datetime.CountDownTimer\" class=\"docClass\">ByteShopJs.util.datetime.CountDownTimer</a>();\n myCounter.startUsingSecondsToEndDate(endDateInSecondsToGo,displayElement,displayFormat);\n\n // Alternatively you can use the startUsingEndDate() function,\n // passing a Date object or formatted date string for the end date param\n\n var endDate = new Date(2013,7,1,0,0,0,0);\n var displayElement = document.getElementById(\"myDisplayElement\");\n var displayFormat = 'SHORT';\n var myCounter = new <a href=\"#!/api/ByteShopJs.util.datetime.CountDownTimer\" rel=\"ByteShopJs.util.datetime.CountDownTimer\" class=\"docClass\">ByteShopJs.util.datetime.CountDownTimer</a>();\n myCounter.startUsingEndDate(endDate,displayElement,displayFormat);\n</code></pre>\n\n<p>Display format options:</p>\n\n<ul>\n<li> An example of the MEDIUM (default) display format is: 2d 3h 40m 23s</li>\n<li> An example of the LONG display format is:\n 2 days 3 hours 40 minutes 23 seconds</li>\n<li> An example of the SHORT display format is: 02:03:40:23</li>\n<li> The GRAPHIC option is the same as the SHORT option except that it\n puts the digits in colored boxes and adds a footer describing\n those digits. Note you need to use the sample stylesheet (main.css)\n or one of your own</li>\n</ul>\n\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-startUsingEndDate' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ByteShopJs.util.datetime.CountDownTimer'>ByteShopJs.util.datetime.CountDownTimer</span><br/><a href='source/countDownTimer.html#ByteShopJs-util-datetime-CountDownTimer-method-startUsingEndDate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ByteShopJs.util.datetime.CountDownTimer-method-startUsingEndDate' class='name expandable'>startUsingEndDate</a>( <span class='pre'>endDate, timeToGoElement, displayFormat</span> )</div><div class='description'><div class='short'>Starts the count down timer. ...</div><div class='long'><p>Starts the count down timer. The timer will automatically be\nstopped when the count down gets to zero.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>endDate</span> : Date<div class='sub-desc'><p>the end date for the counter</p>\n</div></li><li><span class='pre'>timeToGoElement</span> : Object<div class='sub-desc'><p>the HTML element where the display\ntext is set to the innerHTML of this element</p>\n</div></li><li><span class='pre'>displayFormat</span> : String<div class='sub-desc'><p>a value of LONG, MEDIUM or SHORT\nindicating the display format style</p>\n</div></li></ul></div></div></div><div id='method-startUsingSecondsToEndDate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ByteShopJs.util.datetime.CountDownTimer'>ByteShopJs.util.datetime.CountDownTimer</span><br/><a href='source/countDownTimer.html#ByteShopJs-util-datetime-CountDownTimer-method-startUsingSecondsToEndDate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ByteShopJs.util.datetime.CountDownTimer-method-startUsingSecondsToEndDate' class='name expandable'>startUsingSecondsToEndDate</a>( <span class='pre'>secondsToEndDate, timeToGoElement, displayFormat</span> )</div><div class='description'><div class='short'>Starts the count down timer. ...</div><div class='long'><p>Starts the count down timer. The timer will automatically be\nstopped when the count down gets to zero.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>secondsToEndDate</span> : Number<div class='sub-desc'><p>the number of seconds between now\nand the end date</p>\n</div></li><li><span class='pre'>timeToGoElement</span> : Object<div class='sub-desc'><p>the HTML element where the display\ntext is set to the innerHTML of this element</p>\n</div></li><li><span class='pre'>displayFormat</span> : String<div class='sub-desc'><p>a value of LONG, MEDIUM or SHORT\nindicating the display format style</p>\n</div></li></ul></div></div></div></div></div></div></div>","mixins":[],"aliases":{},"enum":null,"tagname":"class","alternateClassNames":[],"html_meta":{},"superclasses":[],"extends":null,"uses":[],"subclasses":[],"files":[{"href":"countDownTimer.html#ByteShopJs-util-datetime-CountDownTimer","filename":"countDownTimer.js"}],"meta":{},"inheritdoc":null,"component":false,"linenr":62,"members":{"cfg":[],"property":[],"method":[{"owner":"ByteShopJs.util.datetime.CountDownTimer","tagname":"method","meta":{},"name":"startUsingEndDate","id":"method-startUsingEndDate"},{"owner":"ByteShopJs.util.datetime.CountDownTimer","tagname":"method","meta":{},"name":"startUsingSecondsToEndDate","id":"method-startUsingSecondsToEndDate"}],"css_var":[],"event":[],"css_mixin":[]},"requires":[],"private":null,"mixedInto":[],"name":"ByteShopJs.util.datetime.CountDownTimer","id":"class-ByteShopJs.util.datetime.CountDownTimer","inheritable":null,"parentMixins":[],"statics":{"cfg":[],"property":[],"method":[],"css_var":[],"event":[],"css_mixin":[]},"singleton":false,"override":null});